Package net.shibboleth.idp.cas.protocol

# Class ServiceTicketRequest

java.lang.Object
net.shibboleth.idp.cas.protocol.ServiceTicketRequest

public class ServiceTicketRequest extends Object
Describes a request for a ticket to access a service.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`gateway`
CAS protocol gateway flag.
`private String`
`method`
CAS protocol 3.0 "method" parameter.
`static final String`
`METHOD_GET`
HTTP GET method.
`static final String`
`METHOD_POST`
HTTP POST method.
`private boolean`
`renew`
CAS protocol renew flag.
`private boolean`
`saml`
Flag indicating whether ticket request is via SAML 1.1 protocol.
`private final String`
`serviceURL`
Service URL.

## Constructor Summary

Constructors
Constructor
Description
`ServiceTicketRequest(String service)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`
Gets the value of the `method` parameter.
`String`
`getService()`
Get the service requesting the ticket.
`boolean`
`isGateway()`
Whether to not require fresh subject interaction to succeed.
`boolean`
`isRenew()`
Get whether to require fresh subject interaction to succeed.
`boolean`
`isSAML()`
Get whether ticket request is via SAML 1.1 protocol.
`void`
`setGateway(boolean doNotForce)`
Set whether to not require fresh subject interaction to succeed.
`void`
`setMethod(String m)`
Sets the value of the `method` parameter.
`void`
`setRenew(boolean force)`
Set whether to require fresh subject interaction to succeed.
`void`
`setSAML(boolean flag)`
Set whether ticket request is via SAML 1.1 protocol.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### METHOD_GET

@Nonnull public static final String METHOD_GET
HTTP GET method.

See Also:
  - Constant Field Values

### METHOD_POST

@Nonnull public static final String METHOD_POST
HTTP POST method.

See Also:
  - Constant Field Values

### serviceURL

@Nonnull private final String serviceURL
Service URL.

### renew

private boolean renew
CAS protocol renew flag.

### gateway

private boolean gateway
CAS protocol gateway flag.

### saml

private boolean saml
Flag indicating whether ticket request is via SAML 1.1 protocol.

### method

@Nonnull private String method
CAS protocol 3.0 "method" parameter.

## Constructor Details

### ServiceTicketRequest

public ServiceTicketRequest(@Nonnull String service)
Constructor.

Parameters:
  `service` - URL of service requesting the ticket

## Method Details

### getService

@Nonnull public String getService()
Get the service requesting the ticket.

Returns:
  service requesting the ticket

### isRenew

public boolean isRenew()
Get whether to require fresh subject interaction to succeed.

Returns:
  whether subject interaction must occur

### setRenew

public void setRenew(boolean force)
Set whether to require fresh subject interaction to succeed.

Parameters:
  `force` - whether subject interaction must occur

### isGateway

public boolean isGateway()
Whether to not require fresh subject interaction to succeed.

Returns:
  whether subject interaction should not occur

### setGateway

public void setGateway(boolean doNotForce)
Set whether to not require fresh subject interaction to succeed.

Parameters:
  `doNotForce` - whether subject interaction should not occur

### isSAML

public boolean isSAML()
Get whether ticket request is via SAML 1.1 protocol.

Returns:
  whether ticket request is via SAML 1.1 protocol

### setSAML

public void setSAML(boolean flag)
Set whether ticket request is via SAML 1.1 protocol.

Parameters:
  `flag` - flag to set

### getMethod

@Nonnull public String getMethod()
Gets the value of the `method` parameter. Default is "GET".

Returns:
  "GET" or "POST".

### setMethod

public void setMethod(@Nonnull String m)
Sets the value of the `method` parameter. See http://jasig.github.io/cas/development/protocol/CAS-Protocol-Specification.html#head2.1.1 for more information.

Parameters:
  `m` - "GET" or "POST".